Reply
New Contributor
Posts: 4
Registered: ‎01-25-2017
Accepted Solution

Check Script problem with SLES 12 Installation

When installing with Cloudera Manager over SLES 12 SP2 platform, installation process is stopped after "cloudera-manager-agent" package check.

This is the server log:

END (0)
BEGIN zypper info cloudera-manager-agent | grep -E 'Version:[[:space:]]5.9.1-.*\.8'
END (1)
cloudera-manager-agent must have Version=5.9.1 and Build=8, exiting
closing logging file descriptor

 

And the problem seems to be in the zypper info output. In scm_prepare_nodexxxx.sh scripts, the pattern "Version:[[:space:]]5.9.1-.*\.8" is not correct, because in SLES 12 SP2, zypper info returns a tab, not a space, after "Version" word. Then ,validation is null, and install process is stopped.

 

The output in SLES 12 is in attached output.png file

 

 

Cloudera Employee
Posts: 119
Registered: ‎04-12-2016

Re: Check Script problem with SLES 12 Installation

Sounds like your Cloudera Manager Server is not running 5.9.1, but you are trying to install the 5.9.1 agent.

 

What version of the CM Server do you have running?   Lookin the CM UI drop down SUPPORT > ABOUT  top rigth hand corner on CM UI home page

 

The server and agent versions have to match.

 

Tina

New Contributor
Posts: 4
Registered: ‎01-25-2017

Re: Check Script problem with SLES 12 Installation

Hi,

Not in this case, versions are right. The problem, in my opinion, is under
the validation script of cdm_install, marked in the attach, where script is
not well detecting "Version" in zypper info output

Really versions are right.

This is my CM Version:

*Proveedor de VM de Java*: Oracle Corporation

*Versión de Java*: 1.8.0_121

*Hora del servidor*: 25-ene-2017 18:06:37, Hora de Europa Central (CET)

Copyright © 2011-2017 Cloudera, Inc. Todos los derechos reservados.
Hadoop y el logotipo del elefante de Hadoop son marcas comerciales de
Apache Software Foundation.


Thanks for the reply
Cloudera Employee
Posts: 119
Registered: ‎04-12-2016

Re: Check Script problem with SLES 12 Installation

I don't see the CM Version in your reply, I assume it says:

 

Version: Cloudera Enterprise Data Hub Edition Trial 5.9.1 (#8

 

I will try to install this on SLES12 SP2 now.

 

Will let you know if it works for me.

 

Tina

Cloudera Employee
Posts: 119
Registered: ‎04-12-2016

Re: Check Script problem with SLES 12 Installation

SLES12 SP2 does not install CM5.9.0.  My installation failed also.

 

I can't find any documentation that says it is a supported platform for CM5.9.0.

 

Sorry

New Contributor
Posts: 4
Registered: ‎01-25-2017

Re: Check Script problem with SLES 12 Installation

Hi, sure, it was a recomendation for future developments :-)

Thanks a lot, finally we'll change the OS.
Announcements